myexperiment-hackers
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[myexperiment-hackers] [2854] trunk/installers/ubuntu: Fixed Ubuntu inst


From: noreply
Subject: [myexperiment-hackers] [2854] trunk/installers/ubuntu: Fixed Ubuntu installer race condition with apache config and added settings .bash to svn:ignore
Date: Tue, 29 Nov 2011 09:14:38 -0500 (EST)

Revision
2854
Author
drn05r
Date
2011-11-29 09:14:37 -0500 (Tue, 29 Nov 2011)

Log Message

Fixed Ubuntu installer race condition with apache config and added settings.bash to svn:ignore

Modified Paths

Property Changed

Diff

Property changes: trunk/installers/ubuntu


Added: svn:ignore

Modified: trunk/installers/ubuntu/install.bash (2853 => 2854)


--- trunk/installers/ubuntu/install.bash	2011-11-29 11:52:40 UTC (rev 2853)
+++ trunk/installers/ubuntu/install.bash	2011-11-29 14:14:37 UTC (rev 2854)
@@ -16,7 +16,7 @@
 
 echo "Installing required APT packages"
 sudo apt-get update || { echo "Could not update apt-get. Aborting ..."; exit 4; }
-sudo -n apt-get install -y build-essential exim4 ruby ruby1.8-dev libzlib-ruby rdoc irb rubygems rake apache2 apache2-dev libapache2-mod-fcgid libfcgi-ruby1.8 libmysql-ruby gcj-4.4-jre-headless subversion libopenssl-ruby1.8 libcurl3 libcurl3-gnutls libcurl4-openssl-dev mysql-server graphicsmagick imagemagick librmagick-ruby1.8 libmagick9-dev graphviz mlocate || { echo "Could not install required APT packages. Aborting ..."; exit 5; }
+sudo -n apt-get install -y build-essential exim4 ruby ruby1.8-dev libzlib-ruby rdoc irb rubygems rake apache2 apache2-dev libapache2-mod-fcgid libfcgi-ruby1.8 libmysql-ruby gcj-4.4-jre-headless subversion libopenssl-ruby1.8 libcurl3 libcurl3-gnutls libcurl4-openssl-dev mysql-server graphicsmagick imagemagick librmagick-ruby1.8 libmagick9-dev graphviz mlocate wget || { echo "Could not install required APT packages. Aborting ..."; exit 5; }
 
 echo "Installing Rake version ${rake_version} and Rails version ${rails_version} Ruby Gems"
 sudo gem install rake ${nordoc} ${nori} --version ${rake_version} || { echo "Could not install Rake Ruby Gem (version ${rake_version}). Aborting ..."; exit 6; }
@@ -89,10 +89,12 @@
 if [ -f "/etc/apache2/sites-enabled/000-default" ]; then
 	sudo rm /etc/apache2/sites-enabled/000-default  || { echo "Could not remove 000-default to sites-enabled. Aborting ..."; exit 37; }
 fi
-sudo apache2ctl restart || { echo "Could not restart Apache2. Aborting ..."; exit 38; }
+sudo apache2ctl stop || { echo "Could not stop Apache2. Aborting ..."; exit 38; }
+sleep 2
+sudo apache2ctl start || { echo "Could not start Apache2. Aborting ..."; exit 39; }
 
 echo "Removing temporary directory created for writing patch files to"
-sudo rm -rf ${tempdir} || { echo "Could not remove temporary directory used by patch files."; echo exit 38; }
+sudo rm -rf ${tempdir} || { echo "Could not remove temporary directory used by patch files."; exit 40; }
 
 echo ""
 echo "+-----------------------------------------------------------------------------------------+"

reply via email to

[Prev in Thread] Current Thread [Next in Thread]